Claim NFT
curl --request POST \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet_address": "<string>"
}
'import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim"
payload = { "wallet_address": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet_address: '<string>'})
};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"tx_hash": "<string>",
"etherscan_url": "<string>",
"card": {
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Not found"
}NFT
Claim NFT
Transfer a minted NFT to a wallet address. The record must have status minted.
POST
/
api
/
records
/
{wm_id}
/
claim
Claim NFT
curl --request POST \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet_address": "<string>"
}
'import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim"
payload = { "wallet_address": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet_address: '<string>'})
};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"tx_hash": "<string>",
"etherscan_url": "<string>",
"card": {
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Not found"
}Authorizations
Pass a Supabase JWT or a 48-character hex API key as a Bearer token.
Path Parameters
Body
application/json
Ethereum wallet address to receive the NFT
⌘I

